/*
 * S. Bahloul & R. Ouazana
 * Copyright (C) 2003 LINAGORA
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package org.linagora.ldap.extended;

import javax.naming.ldap.ExtendedResponse;

/**
 * Response class
 */
public class TestModifyLdapOperationResponse implements ExtendedResponse {
	
	public byte[] encodedValue;
	public String ID;

	private boolean ok;
	/**
	 * @param id
	 * @param berValue
	 * @param b
	 */
	public TestModifyLdapOperationResponse(String id, byte[] berValue, boolean b) {
		ID = id;
		encodedValue = berValue;
		ok = b;
	}
	
	/**
	 * @return
	 * @see javax.naming.ldap.ExtendedResponse#getEncodedValue()
	 */
	public byte[] getEncodedValue() {
		return encodedValue;
	}

	/**
	 * @return
	 * @see javax.naming.ldap.ExtendedResponse#getID()
	 */
	public String getID() {
		return ID;
	}
	/**
	 * @return
	 */
	public boolean isOk() {
		return ok;
	}
}

